#
# TransFig makefile
#

all: roino.tex sfsro.tex

# translation into pstex

roino.tex: roino.eps figures.mk
	fig2dev -L pstex_t -p roino.eps roino.fig > roino.tex
clean::
	rm -f roino.tex

roino.ps: roino.fig figures.mk
	fig2dev -L pstex roino.fig > roino.ps
clean::
	rm -f roino.ps

roino.eps: roino.fig figures.mk
	fig2dev -L pstex roino.fig > roino.eps
clean::
	rm -f roino.eps


# translation into pstex

sfsro.tex: sfsro.eps figures.mk
	fig2dev -L pstex_t -p sfsro.eps sfsro.fig > sfsro.tex
clean::
	rm -f sfsro.tex

sfsro.ps: sfsro.fig figures.mk
	fig2dev -L pstex sfsro.fig > sfsro.ps
clean::
	rm -f sfsro.ps

sfsro.eps: sfsro.fig figures.mk
	fig2dev -L pstex sfsro.fig > sfsro.eps
clean::
	rm -f sfsro.eps
